import dijit = require("../main");
import _WidgetBase = require("../_WidgetBase");

declare module "dojo/_base/kernel" {
    interface Dijit {
        byId(id: string | _WidgetBase): _WidgetBase;
        getUniqueId(widgetType: string): string;
        findWidgets(root: Node, skipNode?: Node): _WidgetBase[];
        byNode(node: Node): _WidgetBase;
        getEnclosingWidgets(node: Node): _WidgetBase;

        /**
         * defaultDuration: Integer
		 *		The default fx.animation speed (in ms) to use for all Dijit
		 *		transitional fx.animations, unless otherwise specified
		 *		on a per-instance basis. Defaults to 200, overrided by
		 *		`djConfig.defaultDuration`
         */
        defaultDuration: number;
    }
}

export = dijit;